Bug 137691 - [PATCH] New port for semantik (kdissert II)
Summary: [PATCH] New port for semantik (kdissert II)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alberto Villa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-12 10:10 UTC by Nick Hibma
Modified: 2010-09-23 16:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Hibma 2009-08-12 10:10:00 UTC
kdissert for KDE4 is called semantik. This is the port for it.

A ports committer should have a good look at the KDE4 dependencies. The build
for example complains about missing gnome-config for several libs during
config, but the build completes and the program runs, so I don't know what that
is all about.

The patches applied in kdissert/files are no longer applicable as semantik is a 
complete rewrite.

Fix: 

=====> Makefile
# New ports collection makefile for:	semantik
# Date created:				2009-08-11
# Whom:					Nick Hibma <nick@anywi.com>
#
# $FreeBSD$
#

PORTNAME=	semantik
PORTVERSION=	0.7.2
PORTREVISION=	1
CATEGORIES=	deskutils kde
MASTER_SITES=	http://freehackers.org/~tnagy/

MAINTAINER=	ports@FreeBSD.org
COMMENT=	KDE mindmapping tool

BUILD_DEPENDS=	qmake4:${PORTSDIR}/devel/qmake4 \
		lrelease-qt4:${PORTSDIR}/devel/qt4-linguist \
		ocaml:${PORTSDIR}/lang/ocaml

USE_GETTEXT=	yes
USE_LDCONFIG=	yes
INSTALLS_ICONS=	yes
USE_QT_VER=	4
MAKE_ENV+=	WAF_HOME=${WRKSRC} CPPFLAGS="-I${LOCALBASE}/include"

USE_BZIP2=	yes
USE_PYTHON_BUILD=	yes

do-configure:
	cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ./waf configure --prefix=${PREFIX}

do-build:
	cd ${WRKSRC} && ./waf build

do-install:
	cd ${WRKSRC} && ./waf install
	@${STRIP_CMD} ${PREFIX}/bin/semantik

.include <bsd.port.mk>

=====> distinfo
MD5 (semantik-0.7.2.tar.bz2) = cdadf5e3f5ded9b9bb49dd4a176df3d1
SHA256 (semantik-0.7.2.tar.bz2) = 05d8a1cb1673525758419c5f4c53d027090827b51e1bc6d1159bed5e63416287
SIZE (semantik-0.7.2.tar.bz2) = 375716

=====> pkg-plist
kde4/share/apps/semantik/sembind.py
kde4/share/apps/semantik/flags/flag_star.svg
kde4/share/apps/semantik/flags/flag_phone.svg
kde4/share/apps/semantik/flags/flag_lunch.svg
kde4/share/apps/semantik/flags/flag_talk.svg
kde4/share/apps/semantik/flags/flag_time.svg
kde4/share/apps/semantik/flags/flag_unknown.svg
kde4/share/apps/semantik/flags/flag_idea.svg
kde4/share/apps/semantik/flags/flag_money.svg
kde4/share/apps/semantik/flags/flag_tune.svg
kde4/share/apps/semantik/flags/flag_delay.svg
kde4/share/apps/semantik/flags/flag_target.svg
kde4/share/apps/semantik/flags/flag_ok.svg
kde4/share/apps/semantik/flags/flag_look.svg
kde4/share/apps/semantik/flags/flag_write.svg
kde4/share/apps/semantik/flags/flag_stop.svg
kde4/share/apps/semantik/flags/flag_people.svg
kde4/share/apps/semantik/templates/s5.sem.py
kde4/share/apps/semantik/templates/odt.sem.py
kde4/share/apps/semantik/templates/html.sem.py
kde4/share/apps/semantik/templates/semantik.sem.py
kde4/share/apps/semantik/templates/beamer.sem.py
kde4/share/apps/semantik/templates/pdflatex.sem.py
kde4/share/apps/semantik/templates/java.sem.py
kde4/share/apps/semantik/templates/odp.sem.py
kde4/share/apps/semantik/templates/waf
kde4/share/apps/semantik/templates/pdflatex/wscript
kde4/share/apps/semantik/templates/pdflatex/main.tex
kde4/share/apps/semantik/templates/html/index.html
kde4/share/apps/semantik/templates/html/def.css
kde4/share/apps/semantik/templates/odt/styles.xml
kde4/share/apps/semantik/templates/odt/manifest.xml
kde4/share/apps/semantik/templates/odt/settings.xml
kde4/share/apps/semantik/templates/odt/meta.xml
kde4/share/apps/semantik/templates/odt/content.xml
kde4/share/apps/semantik/templates/odp/styles.xml
kde4/share/apps/semantik/templates/odp/manifest.xml
kde4/share/apps/semantik/templates/odp/settings.xml
kde4/share/apps/semantik/templates/odp/meta.xml
kde4/share/apps/semantik/templates/odp/content.xml
kde4/share/apps/semantik/templates/java/Mapview.java
kde4/share/apps/semantik/templates/java/Kadapplet.java
kde4/share/apps/semantik/templates/java/main.html
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemedefault.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemewhale.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemebeetle.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemeorchid.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemealbatross.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemedove.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemeseahorse.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemeseagull.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemefly.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemerose.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemecrane.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemesidebartab.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemelily.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color/beamercolorthemestructure.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/font/beamerfontthemeprofessionalfonts.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/font/beamerfontthemestructuresmallcapsserif.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/font/beamerfontthemestructureitalicserif.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/font/beamerfontthemestructurebold.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/font/beamerfontthemedefault.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/font/beamerfontthemeserif.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/inner/beamerinnerthemedefault.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/inner/beamerinnerthemeinmargin.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/inner/beamerinnerthemerectangles.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/inner/beamerinnerthemecircles.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/inner/beamerinnerthemerounded.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/outer/beamerouterthemeshadow.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/outer/beamerouterthememiniframes.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/outer/beamerouterthemeinfolines.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/outer/beamerouterthemesplit.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/outer/beamerouterthemedefault.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/outer/beamerouterthemesidebar.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/outer/beamerouterthemesmoothtree.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/outer/beamerouterthemetree.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/outer/beamerouterthemesmoothbars.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeDarmstadt.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeboxes.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemedefault.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeWarsaw.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemePittsburgh.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeRochester.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeDresden.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeMalmoe.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeMadrid.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeFrankfurt.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeMontpellier.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeMarburg.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeBerkeley.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeLuebeck.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeBerlin.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeIlmenau.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeGoettingen.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeHannover.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeJuanLesPins.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeAntibes.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemePaloAlto.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeSingapore.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeCopenhagen.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeSzeged.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme/beamerthemeBergen.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/art/beamericonbook.tex
kde4/share/apps/semantik/templates/beamer/beamermindist/art/beamericonarticle.eps
kde4/share/apps/semantik/templates/beamer/beamermindist/art/beamericonbook.pdf
kde4/share/apps/semantik/templates/beamer/beamermindist/art/beamericonbook.eps
kde4/share/apps/semantik/templates/beamer/beamermindist/art/beamericonarticle.tex
kde4/share/apps/semantik/templates/beamer/beamermindist/art/beamericonarticle.20.eps
kde4/share/apps/semantik/templates/beamer/beamermindist/art/beamericonbook.20.pdf
kde4/share/apps/semantik/templates/beamer/beamermindist/art/beamericonbook.20.eps
kde4/share/apps/semantik/templates/beamer/beamermindist/art/beamericonarticle.20.pdf
kde4/share/apps/semantik/templates/beamer/beamermindist/art/beamericonarticle.pdf
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbaseoverlay.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/xcolor.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbaseframecomponents.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasearticle.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbaselocalstructure.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasetheorems.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasefont.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerarticle.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasecolor.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbaseframe.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/pgf.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasetitle.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasedecode.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbaseauxtemplates.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasetoc.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbaseframesize.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbaseboxes.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/xxcolor.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasemisc.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbaseoptions.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasethemes.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbaseexercise.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/pgfshade.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasetemplates.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasenavigation.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasemodes.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasecompatibility.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasercs.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasesection.sty
kde4/share/apps/semantik/templates/beamer/beamermindist/beamer.cls
kde4/share/apps/semantik/templates/beamer/beamermindist/beamerbasenotes.sty
kde4/share/apps/semantik/templates/beamer/main.tex
kde4/share/apps/semantik/templates/beamer/wscript
kde4/share/apps/semantik/templates/s5/index.html
kde4/share/apps/semantik/templates/s5/ui/default/slides.js
kde4/share/apps/semantik/templates/s5/ui/default/framing.css
kde4/share/apps/semantik/templates/s5/ui/default/s5-core.css
kde4/share/apps/semantik/templates/s5/ui/default/print.css
kde4/share/apps/semantik/templates/s5/ui/default/slides.css
kde4/share/apps/semantik/templates/s5/ui/default/outline.css
kde4/share/apps/semantik/templates/s5/ui/default/pretty.css
kde4/share/apps/semantik/templates/s5/ui/default/blank.gif
kde4/share/apps/semantik/templates/s5/ui/default/opera.css
kde4/share/apps/semantik/templates/s5/ui/default/iepngfix.htc
kde4/share/apps/semantik/images/crsc-app-colors.svg
kde4/share/apps/semantik/filters/semantik.py
kde4/share/apps/semantik/filters/main.py
kde4/share/apps/semantik/filters/others.py
kde4/share/apps/semantik/filters/kdissert.py
kde4/share/apps/semantik/filters/fvym.py
kde4/share/applications/kde4/semantik.desktop
kde4/share/icons/hicolor/128x128/apps/semantik.png
kde4/share/icons/hicolor/64x64/apps/semantik.png
kde4/share/icons/hicolor/48x48/apps/semantik.png
kde4/share/icons/hicolor/22x22/apps/semantik.png
kde4/share/apps/semantik/semantikui.rc
kde4/share/apps/semantik/tips
kde4/share/icons/oxygen/16x16/actions/semantik_sort.png
kde4/share/icons/oxygen/32x32/actions/semantik_sort.png
kde4/share/icons/oxygen/16x16/actions/semantik_link.png
kde4/share/icons/oxygen/64x64/actions/semantik_sort.png
kde4/share/icons/oxygen/32x32/actions/semantik_point.png
kde4/share/icons/oxygen/32x32/actions/semantik_move.png
kde4/share/icons/oxygen/128x128/actions/semantik_sort.png
kde4/share/icons/oxygen/22x22/actions/semantik_move.png
kde4/share/icons/oxygen/22x22/actions/semantik_point.png
kde4/share/icons/oxygen/22x22/actions/semantik_link.png
kde4/share/icons/oxygen/16x16/actions/semantik_move.png
kde4/share/icons/oxygen/22x22/actions/semantik_sort.png
kde4/share/icons/oxygen/48x48/actions/semantik_move.png
kde4/share/icons/oxygen/32x32/actions/semantik_link.png
kde4/share/icons/oxygen/16x16/actions/semantik_point.png
kde4/share/locale/fr/LC_MESSAGES/semantik.mo
kde4/share/locale/es/LC_MESSAGES/semantik.mo
kde4/lib/libnablah.so
kde4/bin/semantik
@dirrm kde4/share/apps/semantik/flags
@dirrm kde4/share/apps/semantik/templates
@dirrm kde4/share/apps/semantik/templates/pdflatex
@dirrm kde4/share/apps/semantik/templates/html
@dirrm kde4/share/apps/semantik/templates/odt
@dirrm kde4/share/apps/semantik/templates/odp
@dirrm kde4/share/apps/semantik/templates/java
@dirrm kde4/share/apps/semantik/templates/beamer/beamermindist/themes/color
@dirrm kde4/share/apps/semantik/templates/beamer/beamermindist/themes/font
@dirrm kde4/share/apps/semantik/templates/beamer/beamermindist/themes/inner
@dirrm kde4/share/apps/semantik/templates/beamer/beamermindist/themes/outer
@dirrm kde4/share/apps/semantik/templates/beamer/beamermindist/themes/theme
@dirrm kde4/share/apps/semantik/templates/beamer/beamermindist/themes
@dirrm kde4/share/apps/semantik/templates/beamer/beamermindist/art
@dirrm kde4/share/apps/semantik/templates/beamer/beamermindist
@dirrm kde4/share/apps/semantik/templates/beamer
@dirrm kde4/share/apps/semantik/templates/s5/ui/default
@dirrm kde4/share/apps/semantik/templates/s5/ui
@dirrm kde4/share/apps/semantik/templates/s5
@dirrm kde4/share/apps/semantik/images
@dirrm kde4/share/apps/semantik/filters
@dirrm kde4/share/apps/semantik

=====> pkg-descr
The goal of semantik is to help to structure ideas and concepts by
associating them into a tree. The tree is there to help to see how the
ideas interact, and then to develop them further (add ramifications).

An idea is represented by a shape which can be a text or a picture. The
ideas can be connected, but there is a constraint : an idea cannot have
more than one parent.

A semantik mind-map can be exported as a picture, or used to generate
documents. Templates include pdflatex (article, book) and html file
formats.

kdissert requires KDE3. Semantik is the replacement for kdissert
and requires KDE4.

WWW: http://freehackers.org/~tnagy/index.html
Comment 1 Edwin Groothuis freebsd_committer 2009-08-12 10:10:16 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Alberto Villa freebsd_committer 2010-03-06 16:16:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avilla

I'll take it.
Comment 3 Alberto Villa freebsd_committer 2010-09-09 00:51:00 UTC
State Changed
From-To: open->repocopy

repocopy deskutils/kdissert deskutils/semantik 


Comment 4 Alberto Villa freebsd_committer 2010-09-09 00:51:00 UTC
Responsible Changed
From-To: avilla->portmgr

repocopy deskutils/kdissert deskutils/semantik
Comment 5 Joe Marcus Clarke freebsd_committer 2010-09-20 17:21:34 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 6 Joe Marcus Clarke freebsd_committer 2010-09-20 17:21:34 UTC
Responsible Changed
From-To: portmgr->avilla

Repocopy complete.
Comment 7 dfilter service freebsd_committer 2010-09-23 16:40:03 UTC
avilla      2010-09-23 15:39:58 UTC

  FreeBSD ports repository

  Modified files:
    deskutils            Makefile 
    deskutils/semantik   Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Update to semantik 0.7.3 for KDE 4.
  
  PR:             ports/137691
  Submitted by:   Nick Hibma <nick@van-laarhoven.org>
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.406     +1 -0      ports/deskutils/Makefile
  1.34      +35 -22    ports/deskutils/semantik/Makefile
  1.17      +3 -3      ports/deskutils/semantik/distinfo
  1.2       +8 -6      ports/deskutils/semantik/pkg-descr
  1.20      +210 -83   ports/deskutils/semantik/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Alberto Villa freebsd_committer 2010-09-23 16:40:35 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!